Bug 239660 (CVE-2007-2435) - CVE-2007-2435 javaws vulnerabilities
Summary: CVE-2007-2435 javaws vulnerabilities
Status: CLOSED ERRATA
Alias: CVE-2007-2435
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20070501,source=gentoo,publi...
Keywords:
Depends On: 233686 250773 250774 250776 250777 250974 250975 251133 430743 430744 449337
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-05-10 11:57 UTC by Mark J. Cox
Modified: 2013-04-11 21:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 21:36:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0817 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2007-08-06 16:00:46 UTC
Red Hat Product Errata RHSA-2007:0829 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2007-08-07 19:36:59 UTC

Description Mark J. Cox 2007-05-10 11:57:25 UTC
Sun reported they fixed a security flaw in javaws, CVE-2007-2435, details
at: http://sunsolve.sun.com/search/document.do?assetkey=1-26-102881-1

This could allow an unprivileged application the ability to read or write files
on a local system which could lead to arbitrary code execution.

Comment 1 Mark J. Cox 2007-05-10 11:58:29 UTC
Note that we shipped the Sun Java for the first time in Red Hat Enterprise Linux
4 Update 5.  The version we shipped already contained a fix for this
vulnerability, therefore no update is required for Sun Java on Red Hat
Enterprise Linux

Comment 9 Red Hat Product Security 2008-01-15 13:32:28 UTC
This issue was addressed in:

Red Hat Enterprise Linux Extras:
  http://rhn.redhat.com/errata/RHSA-2007-0817.html
  http://rhn.redhat.com/errata/RHSA-2007-0829.html

Comment 12 Vincent Danen 2013-04-11 21:36:03 UTC
The list of fixed products with their respective errata is here:

https://access.redhat.com/security/cve/CVE-2007-2435


Note You need to log in before you can comment on or make changes to this bug.